Debian Bug report logs - #691201
keyboard-configuration: XKBLAYOUT=us,gr for Greece

version graph

Package: keyboard-configuration; Maintainer for keyboard-configuration is Debian Install System Team <debian-boot@lists.debian.org>; Source for keyboard-configuration is src:console-setup.

Reported by: Alkis Georgopoulos <alkisg@gmail.com>

Date: Mon, 22 Oct 2012 20:48:01 UTC

Severity: normal

Found in version console-setup/1.86

Fixed in version console-setup/1.87

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#691201; Package keyboard-configuration. (Mon, 22 Oct 2012 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alkis Georgopoulos <alkisg@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Oct 2012 20:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alkis Georgopoulos <alkisg@gmail.com>
To: submit@bugs.debian.org
Subject: keyboard-configuration: XKBLAYOUT=us,gr for Greece
Date: Mon, 22 Oct 2012 23:45:27 +0300
Package: keyboard-configuration
Version: 1.86
Severity: normal

Hi, XKBLAYOUT=gr in keyboard-configuration.config is wrong, it should be
us,gr instead:

$ grep XKBLAYOUT=gr /var/lib/dpkg/info/keyboard-configuration.config
	XKBLAYOUT=gr  # Greece

$ grep ^XKB /etc/default/keyboard
XKBMODEL="pc105"
XKBLAYOUT="us,gr"
XKBVARIANT=","
XKBOPTIONS="grp:alt_shift_toggle,grp_led:scroll"

/etc/default/keyboard does get the correct layout when selecting Greek
language in the installation though, not sure which component puts the
correct "us,gr" there.



Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 22 Oct 2012 20:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#691201; Package keyboard-configuration. (Mon, 22 Oct 2012 20:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Oct 2012 20:57:09 GMT) Full text and rfc822 format available.

Message #12 received at 691201@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Alkis Georgopoulos <alkisg@gmail.com>, 691201@bugs.debian.org
Subject: Re: Bug#691201: keyboard-configuration: XKBLAYOUT=us,gr for Greece
Date: Mon, 22 Oct 2012 22:56:33 +0200
Hello,

Alkis Georgopoulos, le Mon 22 Oct 2012 23:45:27 +0300, a écrit :
> Hi, XKBLAYOUT=gr in keyboard-configuration.config is wrong, it should be
> us,gr instead:

Indeed. I've also fixed Ethopian there too.

Samuel



Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sat, 27 Oct 2012 18:21:03 GMT) Full text and rfc822 format available.

Notification sent to Alkis Georgopoulos <alkisg@gmail.com>:
Bug acknowledged by developer. (Sat, 27 Oct 2012 18:21:04 GMT) Full text and rfc822 format available.

Message #17 received at 691201-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 691201-close@bugs.debian.org
Subject: Bug#691201: fixed in console-setup 1.87
Date: Sat, 27 Oct 2012 18:18:10 +0000
Source: console-setup
Source-Version: 1.87

We believe that the bug you reported is fixed in the latest version of
console-setup, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated console-setup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 27 Oct 2012 13:55:37 +0200
Source: console-setup
Binary: keyboard-configuration console-setup console-setup-mini console-setup-linux console-setup-freebsd bdf2psf console-setup-udeb console-setup-amiga-ekmap console-setup-ataritt-ekmap console-setup-macintoshold-ekmap console-setup-pc-ekmap console-setup-sun4-ekmap console-setup-sun5-ekmap console-setup-pc-ekbd console-setup-linux-fonts-udeb console-setup-freebsd-fonts-udeb console-setup-linux-charmaps-udeb console-setup-freebsd-charmaps-udeb
Architecture: source all
Version: 1.87
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 bdf2psf    - font converter to generate console fonts from BDF source fonts
 console-setup - console font and keymap setup program
 console-setup-amiga-ekmap - encoded Linux keyboard layouts for Amiga keyboards (udeb)
 console-setup-ataritt-ekmap - encoded Linux keyboard layouts for Atari TT keyboards (udeb)
 console-setup-freebsd - FreeBSD specific part of console-setup
 console-setup-freebsd-charmaps-udeb - FreeBSD 8-bit charmaps for console-setup-udeb (udeb)
 console-setup-freebsd-fonts-udeb - FreeBSD console fonts for Debian Installer (udeb)
 console-setup-linux - Linux specific part of console-setup
 console-setup-linux-charmaps-udeb - Linux 8-bit charmaps for console-setup-udeb (udeb)
 console-setup-linux-fonts-udeb - Linux console fonts for Debian Installer (udeb)
 console-setup-macintoshold-ekmap - encoded Linux keyboard layouts for old-style Macintosh keyboards (udeb)
 console-setup-mini - console font and keymap setup program - reduced version for Linux
 console-setup-pc-ekbd - encoded FreeBSD keyboard layouts for PC keyboards (udeb)
 console-setup-pc-ekmap - encoded Linux keyboard layouts for PC keyboards (udeb)
 console-setup-sun4-ekmap - encoded Linux keyboard layouts for Sun4 keyboards (udeb)
 console-setup-sun5-ekmap - encoded Linux keyboard layouts for Sun5 keyboards (udeb)
 console-setup-udeb - Configure the keyboard (udeb)
 keyboard-configuration - system-wide keyboard preferences
Closes: 691201
Changes: 
 console-setup (1.87) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * keyboard-configuration.config: Fix greek and ethiopian default layout into
     including a US group, closes: #691201. Thanks Alkis Georgopoulos for the
     report.
Checksums-Sha1: 
 369e910a4646490205d0ec2405dafd5d2a4256f5 3085 console-setup_1.87.dsc
 46992c2f001c87342163cfd96e6e9a3d6f4d920f 3261757 console-setup_1.87.tar.gz
 83490d21b14bb6a70d7aca90920f8f1698e6c818 606838 keyboard-configuration_1.87_all.deb
 d09c768cdbdd39425ab88a040812eb0e788fc81d 121898 console-setup_1.87_all.deb
 624b326e4d1b6ab1c4ae95215884ea85bfc6eaa9 26188 console-setup-mini_1.87_all.deb
 8d7b8122538e06031ba3cbe3625d26d256415547 994458 console-setup-linux_1.87_all.deb
 6d4c23f3c8b606a78ed36ff846fb208d503d9375 170936 console-setup-freebsd_1.87_all.deb
 b6a8e0096db38948a42509bdc64bb080457e87f1 57640 bdf2psf_1.87_all.deb
 f73da5fc9e4570f0547f905a5c4445c9052b8f90 205694 console-setup-udeb_1.87_all.udeb
 99134a39ff4e23a13e86f6999a1ad88699bceefa 32056 console-setup-amiga-ekmap_1.87_all.udeb
 1361e72fd8b44cc74a59de7b99e00d6ca5c14970 31760 console-setup-ataritt-ekmap_1.87_all.udeb
 47b7813840a174a6e861f213df211b77189f8285 31462 console-setup-macintoshold-ekmap_1.87_all.udeb
 8263404c600aa13dd47bb131d8b7829257a7be3c 34272 console-setup-pc-ekmap_1.87_all.udeb
 e53f5dd9526ee10488de68c1fdd8527bf0f7f862 33490 console-setup-sun4-ekmap_1.87_all.udeb
 7d139f04f79f3d8c68762fecd27654ee8db1988e 33674 console-setup-sun5-ekmap_1.87_all.udeb
 4c0dbda4e2a8bfcc6fee4fc4bfa5a448ff26484e 28510 console-setup-pc-ekbd_1.87_all.udeb
 0e84c1a6d9e6f0a5f91311854aa6bd96679c1bd0 17942 console-setup-linux-fonts-udeb_1.87_all.udeb
 1ef92f9bb1cbb3e3812485a71b74f62a819676ca 11070 console-setup-freebsd-fonts-udeb_1.87_all.udeb
 88cf6089a433c7499c87a7560040d0e814eb0c92 22634 console-setup-linux-charmaps-udeb_1.87_all.udeb
 8af509f590862e490155cc238c9b219cbfed3f32 7188 console-setup-freebsd-charmaps-udeb_1.87_all.udeb
Checksums-Sha256: 
 1df02a6ee4386843249f7d5fdea019ae5fe8de128511931ab4e454784e59914b 3085 console-setup_1.87.dsc
 db1e1cef6800ecdc78a6042df4f7f75fb8585795d3e5d8cdf03abd627eb4191c 3261757 console-setup_1.87.tar.gz
 d6483bae9babe83fcfc1087d98ea999645bbadfceac6c7ca19eda9104a6e70c5 606838 keyboard-configuration_1.87_all.deb
 bdd84d90eceaa1b6d115e2a76dfed8b4b15c60b594b853cf5b5589e4c976a2a3 121898 console-setup_1.87_all.deb
 f1d9d1a72772d85b4dbfcda4a1c734db22f36fda738f5dce920f7d9358702292 26188 console-setup-mini_1.87_all.deb
 92e4918f5b00addb35a1de78fe5ae626a1543ed85b14a133e812ae6fa2432736 994458 console-setup-linux_1.87_all.deb
 7c67634f055fb49829291ea6a8b0b11a1f9ad519ce9e99c8eccb59ab6231e900 170936 console-setup-freebsd_1.87_all.deb
 ddba8b2d6b15ba8dbe99ad5d41a09ad8de7547f8902eb62652d1adeb9487e1b9 57640 bdf2psf_1.87_all.deb
 6c9d6fd39c7b627db18e6374a5bab7e5abcd39249459c1527bf97a7990aedbf2 205694 console-setup-udeb_1.87_all.udeb
 7e20d65221d5abc7ab30538544be677cf6127046f372a276b3b60cb468c23fb3 32056 console-setup-amiga-ekmap_1.87_all.udeb
 a13a1f7fa99706f8ff763177767a0c87a923429b1b460d876ac570dae8ba5b54 31760 console-setup-ataritt-ekmap_1.87_all.udeb
 e7164cf8b8492d19255838bdeb5bd253c8c577c1a477ef023f2651440fa8b44e 31462 console-setup-macintoshold-ekmap_1.87_all.udeb
 74d6fcd206889f83729a3c449298f116582a3b8969be3f94b2f92e4b8ea0359e 34272 console-setup-pc-ekmap_1.87_all.udeb
 6b612a81a89e1d6f9eca79d8e7927b91a522291f280e6014373f6421fcf1e87c 33490 console-setup-sun4-ekmap_1.87_all.udeb
 bd5040fe7ba622a03b68b7f622c4ac809dfcc193cad85e134b73b249f9e40352 33674 console-setup-sun5-ekmap_1.87_all.udeb
 094e9bb0a2ac3db7f9e8ba7c0bb09d8ef1e0b860d59f56093a64d164c124bad4 28510 console-setup-pc-ekbd_1.87_all.udeb
 fb93fdcfa224c4957f3a2dd11454aec7bd8611eb75c064cf7634ff80fb0b81f9 17942 console-setup-linux-fonts-udeb_1.87_all.udeb
 3e814bc38778026b8bb8ce8c5c9b025be0f945b43cd2fecabc7cff97c0306f29 11070 console-setup-freebsd-fonts-udeb_1.87_all.udeb
 ed3b99da47917c08b1dab8d3dcce4e914cb9a9d395c96aa4204522036bf10c4e 22634 console-setup-linux-charmaps-udeb_1.87_all.udeb
 831a778ec2d1b59bef17b15a08e7635f6cad021687e34f5fb16c5cc464a68118 7188 console-setup-freebsd-charmaps-udeb_1.87_all.udeb
Files: 
 455c87622d16a47f3a4583a0040d6f56 3085 utils optional console-setup_1.87.dsc
 03c8145ad1e45e0bf0a15af3cb70cc47 3261757 utils optional console-setup_1.87.tar.gz
 bc5ffc0f561121e9e58096dac14679ab 606838 utils optional keyboard-configuration_1.87_all.deb
 99ab9cc754d50b9c346270b290b0f362 121898 utils optional console-setup_1.87_all.deb
 e883e9efe8d83953f04b7ff45d4eb4a8 26188 utils extra console-setup-mini_1.87_all.deb
 ea3c23280d5e1b27caad7a4651cfc9fc 994458 utils optional console-setup-linux_1.87_all.deb
 dd7176ac4a010c92200cdaef343a0523 170936 utils optional console-setup-freebsd_1.87_all.deb
 f3fb2345174a52f095b0fdaba9b77c3c 57640 utils optional bdf2psf_1.87_all.deb
 4756f53a95337e5e1c48605ccfa2a1e7 205694 debian-installer extra console-setup-udeb_1.87_all.udeb
 0f776f9c73f77bd59d1e08c97910a963 32056 debian-installer extra console-setup-amiga-ekmap_1.87_all.udeb
 f2589f0bdd0257da3d079be797714c2c 31760 debian-installer extra console-setup-ataritt-ekmap_1.87_all.udeb
 532a44edaf3e46d61009d8fdb7b3e5b1 31462 debian-installer extra console-setup-macintoshold-ekmap_1.87_all.udeb
 a5e0e92992a42a4ae43a62db683402a3 34272 debian-installer extra console-setup-pc-ekmap_1.87_all.udeb
 bb04178ba10810efa3eba25531b3cfc1 33490 debian-installer extra console-setup-sun4-ekmap_1.87_all.udeb
 f2fd9ebffc2a58bd1fd324629dea17b5 33674 debian-installer extra console-setup-sun5-ekmap_1.87_all.udeb
 8e0e0969e7061e9331c7b1dd8bf8176d 28510 debian-installer extra console-setup-pc-ekbd_1.87_all.udeb
 ddc37f97aaf31d6db08fc5930b10e7f8 17942 debian-installer extra console-setup-linux-fonts-udeb_1.87_all.udeb
 bedf4640902113ec726c62c7c6da542b 11070 debian-installer extra console-setup-freebsd-fonts-udeb_1.87_all.udeb
 540ca6251160590c57f90a9fb4e76543 22634 debian-installer extra console-setup-linux-charmaps-udeb_1.87_all.udeb
 253aa50be9bdf44dcfe3598c4206e324 7188 debian-installer extra console-setup-freebsd-charmaps-udeb_1.87_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUIwjTYcvcCxNbiWoAQKxvRAArN3huM6T5ZQy0RUHpccY/335rx/FrcOU
9H3qLwqwzvz8xtyz78CdG1G1vaVNiBCvd0hpwOMgHjDyZECKuYBxUhy0IIZ+EOnV
m1wPxW6scVQbFj36kMLx6mWCw0BrnmZN4vy50Xq5cf7keW7DGfs5SnduLyi4uDs6
cLQQoao+WhEuVRj5AyyQKlzgIECEGmDJAwmfRIrNByb+VhuysN3ErHWC5cYhfckY
pxEm8sJI5VtksA67UufVi1h9Z1+ywtIe9MUcWDxHsRewZfRKVjdVIOftNLRBaQN4
xl5qa++c0SHRMPbncqm0g1SRLqMIjSNbBdt4i/67o9bwiIEjkSp3AuqUTFoJchmd
AceFJcylAAQ/igJaGbwHYhP4rc8gWF/PAZeZI29fCafXNMm8JKAtIYlg7eCWD34M
X3l6uAlpBazfSMsgyR97lp58JrhUqRretVteh1Ia2gp7YTG20WE6ZrhNKix+vL1o
pf/Y7WMeLw5mAdnk3xXpvubJQvKsN5YHaJkdKXUkGW0wbGIMLWl1heKRU2f10vZl
AxHnPHPPrskDNYBJvEU+U/xSVaxdRc0e2NFsOAUxPBKAMobK+AsoQg4FJZf897zy
xp+NKJD9pUMyySFXwHkqvNM5H2hCeCMYMJEklx5XLsQz64hXw2BJV5hDI11khzo0
yFzzRv6U8bk=
=wDnL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Nov 2012 07:25:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:34:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.